<?php

namespace App\Helpers;

class InstallHelper
{
    //
    const PACKAGE_STATUS = 'Status: install ok installed';

    /**
     *  check if a packege is installed
     *
     *  @param  string  $name
     *  @return boolean
     */
    public function isReady($name)
    {
        $result = false;

        exec('echo $(dpkg -s nginx 2>&1 | grep "'.self::PACKAGE_STATUS.'")', $output);

        if (isset($output[0]) && $output[0] === self::PACKAGE_STATUS) {
            $result = true;
        }

        return $result;
    }
}